#pragma once

#include "AbstractVisualNode.h"

#include "Terminal.h"

class CircleNode;

class TerminalNode : public AbstractVisualNode
{
public:
	TerminalNode(const Transform& transform);

	void setContent(Terminal* terminal);

	void update(SceneInfo* sceneInfo) override;

private:
	void createOrUpdateGeometry(SceneInfo* sceneInfo);
	std::unique_ptr<CircleNode> mMarker;

	Terminal* mContent{ nullptr };
	bool mContentDirty{ true };
};